# Interface AsyncIterableIterator<T>

interface AsyncIterableIterator<T> {
[asyncIterator](): AsyncIterableIterator<T>;
next(...args): Promise<IteratorResult<T, any>>;
return?(value?): Promise<IteratorResult<T, any>>;
throw?(e?): Promise<IteratorResult<T, any>>;
}

#### Type Parameters

- T

#### Hierarchy (view full)

- AsyncIterator<T>
  - AsyncIterableIterator

- Defined in node_modules/typescript/lib/lib.es2018.asynciterable.d.ts:41

#####
Index

### Methods

[asyncIterator]
next
return?
throw?

## Methods

### [asyncIterator]

- [asyncIterator](): AsyncIterableIterator<T>

- #### Returns AsyncIterableIterator<T>

  - Defined in node_modules/typescript/lib/lib.es2018.asynciterable.d.ts:42

### next

- next(...args): Promise<IteratorResult<T, any>>

- #### Parameters

  - `Rest` ...args: [] | [undefined]

  #### Returns Promise<IteratorResult<T, any>>

  Inherited from AsyncIterator.next

  - Defined in node_modules/typescript/lib/lib.es2018.asynciterable.d.ts:32

### `Optional` return

- return(value?): Promise<IteratorResult<T, any>>

- #### Parameters

  - `Optional` value: any

  #### Returns Promise<IteratorResult<T, any>>

  Inherited from AsyncIterator.return

  - Defined in node_modules/typescript/lib/lib.es2018.asynciterable.d.ts:33

### `Optional` throw

- throw(e?): Promise<IteratorResult<T, any>>

- #### Parameters

  - `Optional` e: any

  #### Returns Promise<IteratorResult<T, any>>

  Inherited from AsyncIterator.throw

  - Defined in node_modules/typescript/lib/lib.es2018.asynciterable.d.ts:34